// Dr. Higgins v0.98
// Intelligent Vocabulary Quiz 
// to help you with your self-study of a foreign language
// 
// Copyright (C) 2004-2005 Martijn van Iersel 
// 
// this program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include "MainFrame.h"
#include "main.h"
#include "findapppath.h"

const wxString VERSION_STRING("0.98");

bool HigginsApp::OnInit()
{
	wxString defaultLessonPath = 
		wxFindAppPath(argv[0], wxGetCwd(), "", "") +
		wxFILE_SEP_PATH + "lessons";
	MainFrame *mainFrame = new MainFrame("Dr. Higgins v " + VERSION_STRING, 50, 50, 450, 300, defaultLessonPath.c_str());
	mainFrame->Show(true);
	SetTopWindow(mainFrame);
	return true;
}

IMPLEMENT_APP (HigginsApp)
